## org.apache.mahout.vectorizer.collocations.llr
Enum LLRReducer.Skipped

    java.lang.Object
      java.lang.Enum<LLRReducer.Skipped>
          org.apache.mahout.vectorizer.collocations.llr.LLRReducer.Skipped

All Implemented Interfaces:
  Serializable, Comparable<LLRReducer.Skipped>

Enclosing class:
  LLRReducer

    public static enum LLRReducer.Skipped

extends Enum<LLRReducer.Skipped>

Counter to track why a particlar entry was skipped

Enum Constant Summary
`EXTRA_HEAD`
`EXTRA_TAIL`
`LESS_THAN_MIN_LLR`
`LLR_CALCULATION_ERROR`
`MISSING_HEAD`
`MISSING_TAIL`

Method Summary
`static LLRReducer.Skipped` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LLRReducer.Skipped[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXTRA_HEAD

    public static final LLRReducer.Skipped EXTRA_HEAD

### EXTRA_TAIL

    public static final LLRReducer.Skipped EXTRA_TAIL

### MISSING_HEAD

    public static final LLRReducer.Skipped MISSING_HEAD

### MISSING_TAIL

    public static final LLRReducer.Skipped MISSING_TAIL

### LESS_THAN_MIN_LLR

    public static final LLRReducer.Skipped LESS_THAN_MIN_LLR

### LLR_CALCULATION_ERROR

    public static final LLRReducer.Skipped LLR_CALCULATION_ERROR

Method Detail

### values

    public static LLRReducer.Skipped[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LLRReducer.Skipped c : LLRReducer.Skipped.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LLRReducer.Skipped valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.